﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace PreWODIQueries.Models
{
    public class PlanData
    {
        [System.ComponentModel.DataAnnotations.Key]
        public int      PRPLANID        { get; set; }
        public string   LOTNr           { get; set; }
        public string   MATERIALNR      { get; set; }
        public string   OPNR            { get; set; }
        public DateTime   SETUPSTART    { get; set; }
        public DateTime STARTTIME       { get; set; }
        public DateTime ENDTIME         { get; set; }
        public string   CONFIRMATIONNR  { get; set; }
        public string   WORKCENTER      { get; set; }
        public string   WORKCENTERNAME  { get; set; }
        public string   PRODDESC        { get; set; }
        public Int32    QUANTITY        { get; set; }
        public string   LEADFRAME       { get; set; }
        public string   CORETYPE        { get; set; }
        public string   PRODUCTIONLINE  { get; set; }
        public string   TOOLTYPE        { get; set; }
        public double   WIRETHICKNESS   { get; set; }
    }
    public class PlanDataResult
    {
        public IEnumerable  result  { get; set; }
        public int          count   { get; set; }
    }

    public class ProdLineHierModel
    {
        [System.ComponentModel.DataAnnotations.Key]
        public int RECID { get; set; }
        public string PRODLINE { get; set; }
        public string PRODH { get; set; }
        public string PREACTORDATABASE { get; set; }
    }
    public class ProdLineHierComboModel
    {
        public string PRODLINE { get; set; }
        public string PRODH { get; set; }
    }
}